Bug 964197 - fkvalidator.sh - some args are not honoured
fkvalidator.sh - some args are not honoured
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Eli Mesika
Pavel Stehlik
infra
: ZStream
Depends On:
Blocks: 986922
  Show dependency treegraph
 
Reported: 2013-05-17 09:56 EDT by Pavel Stehlik
Modified: 2016-02-10 14:01 EST (History)
10 users (show)

See Also:
Fixed In Version: is7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 986922 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17015 None None None Never

  None (edit)
Description Pavel Stehlik 2013-05-17 09:56:01 EDT
Description of problem:
 fkvalidator.sh doesn't respect arguments (-v -l) eg:
 "/usr/share/ovirt-engine/scripts/dbutils/fkvalidator.sh -s localhost -d engine -u engine -l /tmp/fk.log -v" shows output: 
"Constraint violation found in  step (job_id)".

The constraint violation is correct, however no verbose log nor log file is created. Same bahaviour in standalone usage of those 2 args.

Version-Release number of selected component (if applicable):
rhevm-setup-3.2.0-10.26.rc.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. see https://bugzilla.redhat.com/show_bug.cgi?id=893459#c0
2.
3.
  
Actual results:


Expected results:
I'd expect to see whole record(s) from DB (at least in case of '-v') as this can indicate some more troubles in system. 
Also log file should be created & should contain an output.

Additional info:
logfile is not even created by using simple '-l' (without any optional path/filename).
Comment 3 Eli Mesika 2013-06-24 05:02:54 EDT
Pavel , a simple and quick solution is to add for each violation the query syntax of how to get the violated records.

This will be added in teh case that -v is used

Example :

Constraint violation found in  event_subscriber (event_up_name) 
Query : select event_up_name from event_subscriber where event_up_name not in (select event_up_name  from event_map);

This query can be copied and run by psql to get the violated records.

Is that acceptabe ???
Comment 6 Eli Mesika 2013-07-22 09:02:24 EDT
fixed in commit: 5a1c143
Comment 8 Itamar Heim 2014-01-21 17:32:44 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:32:49 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.